Retrieve Google campaigns, ad groups, or ads based on entity type
http
GET https://services.leadconnectorhq.com/ad-publishing/google/entityAuthorization
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
Authorization | string | Yes | Bearer token generated from the Leadway portal. See Authentication. | |
Version | string | Yes | 2021-07-28 | API version. |
Query parameters
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
locationId | string | Yes | loc_abc123 | Account identifier |
type | string | Yes | AD_MANAGER | Integration type |
campaignId | string | No | camp_123 | Campaign identifier |
adGroupId | string | No | ag_123 | Ad group identifier |
entityType | string | Yes | CAMPAIGN | Entity type |
searchId | string | No | search_123 | Search identifier |
startDate | string | No | 2024-01-01 | Filter start date |
endDate | string | No | 2024-12-31 | Filter end date |
selectedAdAccountId | string | No | 123-456-7890 | Selected ad account ID |
Responses
200 - Response
400 - Bad Request
json
{}422 - Unprocessable Entity
json
{}Example
curl -X GET 'https://services.leadconnectorhq.com/ad-publishing/google/entity' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28'const response = await fetch('https://services.leadconnectorhq.com/ad-publishing/google/entity', {
method: 'GET',
headers: {
Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
Version: '2021-07-28',
},
});
const data = await response.json();import os, requests
response = requests.request(
'GET',
'https://services.leadconnectorhq.com/ad-publishing/google/entity',
headers={
'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
'Version': '2021-07-28',
},
)
data = response.json()<?php
$ch = curl_init('https://services.leadconnectorhq.com/ad-publishing/google/entity');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
'Version: 2021-07-28',
],
]);
$data = json_decode(curl_exec($ch), true);